<?php
############################################################################
# A Project of TNET Services, Inc. and Saratoga-Weather.org (Canada/World-ML template set)
############################################################################
#
#   Project:    Sample Included Website Design
#   Module:     sample.php
#   Purpose:    Sample Page
#   Authors:    Kevin W. Reed <kreed@tnet.com>
#               TNET Services, Inc.
#
# 	Copyright:	(c) 1992-2007 Copyright TNET Services, Inc.
############################################################################
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
############################################################################
#	This document uses Tab 4 Settings
############################################################################
/**************************** version 20180716 ****************************/
$viewSource = false;
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
//--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   readfile($filenameReal);
   exit;
}
############################################################################
$standAlone	= false;			// false if we run in the template environment
if ( $standAlone ) { ?>
	<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
	<html xmlns="https://www.w3.org/1999/xhtml">
	<?php
	$SITE = array();
	$_SESSION = array();
	?>
	<head>
	<meta http-equiv="Content-Type" content="text/html;charset=ISO-8859-1"/>
	<meta name="description" content="NWS 24 Hour Surface Analysis Charts"/>
  <?php
}
else {
	require_once("Settings.php");
	require_once("common.php");
}
############################################################################
if ( !$standAlone ) {
	$TITLE = langtransstr($SITE['organ']) . " - " .langtransstr('NWS 24 Hour Surface Analysis Charts');
	$showGizmo = true; // Set to false to exclude the gizmo
	include("top.php");
}
else {
	$TITLE = 'NWS 24 Hour Surface Analysis Charts';
	echo '<title> '.$TITLE.'</title>';
}
############################################################################
##############################  Settings  ##################################
$useOnClick = false; // Use onclick instead of onmouseover to display a chart
$narrowWidth = 676; // Narrow map width
###########################  End of Settings ###############################
$wideWidth = 900; // Initial widescreen map width.  Varies depending upon map type
$aspect = .75; // Initial aspect ratio
if ((isset($_SESSION['CSSwidescreen']) && $_SESSION['CSSwidescreen']==1)||$standAlone) {
	$divWidth = $wideWidth;
} else $divWidth = $narrowWidth;
?>
<script src="//ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js" type="text/javascript"></script>
<script type="text/javascript"> {
	var $jq = jQuery.noConflict();
	function showForecastjs(maptype,divWidth,useOnClick,narrowWidth,standAlone) { 
		$jq('#showForecast').load('inc-wxna24hsa.php', {maptype:maptype,divWidth:<?php echo $divWidth?>,useOnClick:<?php echo $useOnClick?1:0?>,narrowWidth:<?php echo $narrowWidth?>,standAlone:<?php echo $standAlone?1:0?>});
	}
}
</script>
<link href="css/hover-tiny.css" rel="stylesheet" media="all"/>
<style type="text/css">
.hidden {
	display: none;
	position:absolute;
}
.shown {
	display: block;
	position:absolute;
}
div.center {
	width:100%;
	margin-left: auto;
	margin-right: auto;
}
</style>
</head>
<body>
<?php
if ( !$standAlone ) {
	############################################################################
	include("header.php");
	############################################################################
	include("menubar.php");
}
############################################################################
### Set Map Type
$mapType = 'satsfcnps'; //'radar_mosaic','satsfcnps', 'satsfc', 'ussatsfc', 'Td', 'TdERR', or 'VIS'
### End Settings
date_default_timezone_set("GMT");	# The NWS calculations for these charts is GMT
?>
<?php if (isset($_SESSION['CSSwidescreen']) || !$standAlone) { ?>
	<div id="main-copy" style="width:<?php echo ($_SESSION['CSSwidescreen']==1 ? 'calc(100%-114px)' : $divWidth) ?>px; border:inset; padding:2px">
<?php } else { ?>
	<div id="main-copy" style="width:100%">
<?php }	?>
	<div class="center" style="width:<?php echo $divWidth ?>px">
	<br/>
	<?php include("inc-wxna24hsa.php")?>
	</div>
</div><!-- end main-copy -->
<?php
############################################################################
if ( !$standAlone ) {
  date_default_timezone_set($SITE['tz']);	# Reset to default TimeZone
	include("footer.php");
############################################################################
} else {
	echo '</body></html>';
}
############################################################################
# End of Page
############################################################################
?>